com.smartgwt.client.widgets.form.fields.events

## Class IconClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<IconClickHandler>
      - - com.smartgwt.client.widgets.form.fields.events.IconClickEvent

- All Implemented Interfaces:
    Cancellable

      public class IconClickEvent
      extends AbstractSmartEvent<IconClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Call this method to cancel this event
    `protected void` | `dispatch(IconClickHandler handler)`
    `static <S extends HasIconClickHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<IconClickHandler>` | `getAssociatedType()`
    `FormItem` | `getFiringItem()` Returns the `FormItem` firing the event.
    `DynamicForm` | `getForm()` a pointer to this item's form
    `FormItemIcon` | `getIcon()` a pointer to the icon that received the click event.
    `FormItem` | `getItem()` a pointer to this form item
    `static com.google.gwt.event.shared.GwtEvent.Type<IconClickHandler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IconClickEvent

          public IconClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getFiringItem

          public FormItem getFiringItem()

      Returns the `FormItem` firing the event.
      Returns:
        FormItem firing the event

    - #### fire

          public static <S extends HasIconClickHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                             com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<IconClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(IconClickHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<IconClickHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<IconClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<IconClickHandler>`

    - #### cancel

          public void cancel()

      Call this method to cancel this event
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getForm

          public DynamicForm getForm()

      a pointer to this item's form
      Returns:
        a pointer to this item's form

    - #### getItem

          public FormItem getItem()

      a pointer to this form item
      Returns:
        a pointer to this form item

    - #### getIcon

          public FormItemIcon getIcon()

      a pointer to the icon that received the click event.
      Returns:
        a pointer to the icon that received the click event.